use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::member_balance::models::MemberBalance>
  for bpr::models::member_balance::MemberBalance
{
  fn from(d: &repositories::member_balance::models::MemberBalance) -> Self {
    bpr::models::member_balance::MemberBalance {
      id: d.id.to_string(),
      member_id: d.member_id.to_string(),
      balance: d.balance,
      balance_bota: d.balance_bota,
      balance_sum: d.balance_sum,
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
    }
  }
}
